%define module	hpack

Name:		python-%{module}
Version:	2.3.0
Release:	%mkrel 1
Summary:	Pure-Python HPACK header compression
Group:		Development/Python
License:	MIT
URL:		http://hyper.rtfd.org/
Source0:	https://pypi.io/packages/source/h/hpack/%{module}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	pkgconfig(python2)
BuildRequires:	pythonegg(2)(setuptools)

%description
This module contains a pure-Python HTTP/2 header encoding (HPACK) logic
for use in Python programs that implement HTTP/2. It also contains a
compatibility layer that automatically enables the use of nghttp2 if
it’s available.

%package -n	python3-%{module}
Summary:	Pure-Python HPACK header compression
Group:		Development/Python
BuildArch:	noarch
BuildRequires:	pkgconfig(python3)
BuildRequires:	pythonegg(3)(setuptools)

%description -n	python3-%{module}
This module contains a pure-Python HTTP/2 header encoding (HPACK) logic
for use in Python programs that implement HTTP/2. It also contains a
compatibility layer that automatically enables the use of nghttp2 if
it’s available.

This is the Python 3 version of the package.

%prep
%setup -q -n %{module}-%{version}

# Remove bundled egg-info
rm -rf %{module}.egg-info

cp -a . %{py3dir}

%build
%py2_build

pushd %{py3dir}
%py3_build
popd

%install
pushd %{py3dir}
%py3_install
popd

%py2_install

%files
%doc CONTRIBUTORS.rst HISTORY.rst LICENSE README.rst
%{python2_sitelib}/%{module}/
%{python2_sitelib}/%{module}-%{version}-py%{python2_version}.egg-info/

%files -n python3-%{module}
%doc CONTRIBUTORS.rst HISTORY.rst LICENSE README.rst
%{python3_sitelib}/%{module}/
%{python3_sitelib}/%{module}-%{version}-py%{python3_version}.egg-info/


%changelog
* Fri Dec 02 2016 daviddavid <daviddavid> 2.3.0-1.mga6
+ Revision: 1071761
- new version: 2.3.0

* Thu Apr 21 2016 daviddavid <daviddavid> 2.2.0-1.mga6
+ Revision: 1003946
- new version: 2.2.0

* Thu Mar 17 2016 daviddavid <daviddavid> 2.1.1-1.mga6
+ Revision: 992312
- new version: 2.1.1

* Mon Feb 15 2016 daviddavid <daviddavid> 2.1.0-1.mga6
+ Revision: 960778
- new version: 2.1.0

* Thu Nov 12 2015 daviddavid <daviddavid> 2.0.1-1.mga6
+ Revision: 902711
- new version: 2.0.1

* Wed Oct 14 2015 daviddavid <daviddavid> 2.0.0-1.mga6
+ Revision: 891646
- new version: 2.0.0

* Fri Oct 09 2015 daviddavid <daviddavid> 1.1.0-1.mga6
+ Revision: 888075
- initial package python-hpack

